Unable to delete a host because of a missing XXX entry

08/11/2019 02:22 PM - Amir Fefer

Status: New   

Priority: Normal   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Remove DHCP Settings for bette-brumitt.sat.lab.tlv.redhat.com task failed with the following error

: ERF12-0635 [ProxyAPI::ProxyException]: Unable to delete DHCP entry for 52:54:00:03:85:57 ([RestC

lient::NotFound]: 404 Not Found) for proxy http://h01.sat.lab.tlv.redhat.com:8443/dhcp

 we should not care if a dhcp record is missing when trying to delete a host, as we would have deleted it anyway, in case its missing,

we can just skip it and not fail the entire deletion process.

History

#1 - 08/12/2019 12:45 PM - Lukas Zapletal

- Triaged changed from No to Yes

- Subject changed from unable to delete a host because of a missing dhcp entry to Unable to delete a host because of a missing XXX entry

This is the question - do we prefer consistency or easy delete (with probably some leftovers in the backend systems). I lean towards consistency,

however it is possible implement :fail_on_error flag for orchestration queue and set that to false for DHCP and couple of other records. I am just not

sold, this simply postpones the resolution (DHCP entry must be fixed) to the future. In case of DHCP its easy but for other services this could be

dangerous precedent.
